View Issue Details

IDProjectCategoryView StatusLast Update
10082Bug reports[All Projects] Accessibilitypublic2016-06-06 15:16
ReporterDenisChenu Assigned ToLouisGac  
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version2.50.x 
Target VersionFixed in Version 
Summary10082: Some link don't have text information for screen reader
Description

All link or action need a text information. ACtually : action link in table don't have any text replacement.

Steps To Reproduce

Use a screen reader and trye to manage a survey

Additional Information

In 2.06 : really not perfect, but blind user can do a survey.

TagsNo tags attached.
Complete LimeSurvey version number (& build)151207
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

child of 09128 closedDenisChenu Using screen readers JAWS and NVDA, image menu are unreadable 

Activities

LouisGac

LouisGac

2016-06-03 15:30

manager   ~39207

action link in table now have title (survey list, token list, question group list and question list). Same for action in left bars etc.
Basically : we added tootltips everywhere.
So, I think it's better now to open single bug reports for the last ones.

DenisChenu

DenisChenu

2016-06-03 15:36

developer   ~39208

No problem :)

LouisGac

LouisGac

2016-06-03 15:43

manager   ~39209

thx

c_schmitz

c_schmitz

2016-06-06 15:16

administrator   ~39250

Version 2.50 Release 160606 released

Issue History

Date Modified Username Field Change
2015-12-07 18:23 DenisChenu New Issue
2015-12-07 18:24 DenisChenu Relationship added child of 09128
2015-12-07 19:30 c_schmitz Assigned To => LouisGac
2015-12-07 19:30 c_schmitz Status new => assigned
2016-03-09 15:28 LouisGac Priority normal => low
2016-06-03 15:27 LouisGac Sticky Issue No => Yes
2016-06-03 15:30 LouisGac Note Added: 39207
2016-06-03 15:32 LouisGac Status assigned => resolved
2016-06-03 15:32 LouisGac Resolution open => fixed
2016-06-03 15:36 DenisChenu Note Added: 39208
2016-06-03 15:43 LouisGac Note Added: 39209
2016-06-03 15:55 c_schmitz Sticky Issue Yes => No
2016-06-06 15:16 c_schmitz Note Added: 39250
2016-06-06 15:16 c_schmitz Status resolved => closed